Bug 492831 - Review Request: libmkv - An alternative to the official libmatroska library
Review Request: libmkv - An alternative to the official libmatroska library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-30 04:52 EDT by Bernard Johnson
Modified: 2014-02-18 08:47 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.6.3.1-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-09 12:15:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
xavier: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2009-03-30 04:52:32 EDT
Spec URL: http://fedorapeople.org/~bjohnson/libmkv.spec
SRPM URL: http://fedorapeople.org/~bjohnson/libmkv-0.6.3.1-1.fc10.src.rpm
Description:
This library is meant to be an alternative to the official libmatroska library.
It is writen in plain C, and is intended to be very portable.

$ rpmlint mock-results/*rpm
libmkv-devel.i386: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 1 warnings.

There is no developer documentation.
Comment 1 Xavier Bachelot 2009-04-01 18:08:12 EDT
+ MUST: rpmlint output is ok. The only warning can be ignored : libmkv-devel.i386: W: no-documentation
+ MUST: package name follows guidelines.
+ MUST: Spec file name is ok.
+ MUST: The package must meet the Packaging Guidelines.
+ MUST: License is ok for Fedora.
+ MUST: License field mactch actual license.
+ MUST: License file is included in %doc
+ MUST: Spec file in legible American English.
+ MUST: Source file match upstream. MD5 : 984575069cbfb47dece609e78768ca97
+ MUST: builds fine on F10 i386 in mock.
+ MUST: BuildRequires are ok. 
+ MUST: ldconfig is used in %post and %postun.
+ MUST: owns all dirs it creates.
+ MUST: No file listed more than once in %files.
+ MUST: Permissions on files are appropriate. %defattr is properly used.
+ MUST: %clean section contains rm -rf $RPM_BUILD_ROOT).
+ MUST: Macros are used consistently.
+ MUST: code, not content.
+ MUST: %doc not needed at runtime.
+ MUST: Header files are in a -devel package.
+ MUST: .so libfile in -devel.
+ MUST: -devel package requires base package.
+ MUST: .la libtool archives are not included.
+ MUST: doesn't own files or directories already owned by other packages.
+ MUST: %install begins with rm -rf $RPM_BUILD_ROOT.
+ MUST: All filenames are valid UTF-8.

Notes :
- Theses backslashes are un-needed : %{_libdir}/libmkv\.so\.*. This should be fixed.
- You can prevent libmkv.a to be built by adding --disable-static to %configure.
- URL: and Source0: urls are strange, but I don't think you can do any better unfortunately.

Please fix the backslashes, then this package is APPROVED.
Comment 2 Bernard Johnson 2009-04-03 00:11:21 EDT
Thanks Xavier

* Thu Apr 02 2009 Bernard Johnson <bjohnson@symetrix.com> - 0.6.3.1-2
- remove slashes in %%files list
- configure with --disable-static


Spec URL: http://fedorapeople.org/~bjohnson/libmkv.spec
SRPM URL: http://fedorapeople.org/~bjohnson/libmkv-0.6.3.1-2.fc10.src.rpm
Comment 3 Xavier Bachelot 2009-04-03 09:22:52 EDT
You can go ahead with the cvs request, I've already approved the package.
One last comment, you may want to delete the .la file in the %install section rather than excluding it in the %files section, but it doesn't really matter.
Comment 4 Bernard Johnson 2009-04-03 23:17:09 EDT
Here lately I've been liking using %exclude rather than a rm in the spec.  Thanks again for the review.

New Package CVS Request
=======================
Package Name: libmkv
Short Description: An alternative to the official libmatroska library
Owners: bjohnson
Branches: F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-04-06 23:25:17 EDT
cvs done.
Comment 6 Fedora Update System 2009-04-07 22:39:44 EDT
libmkv-0.6.3.1-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/libmkv-0.6.3.1-2.fc10
Comment 7 Fedora Update System 2009-04-09 12:15:07 EDT
libmkv-0.6.3.1-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Simone Caronni 2014-02-18 03:26:56 EST
Package Change Request
======================
Package Name: libmkv
New Branches: el6
Owners: slaanesh bjohnson
Comment 9 Gwyn Ciesla 2014-02-18 08:47:30 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.